package com.mosty.yszx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.yszx.TbYsAjDelDto;
import com.mosty.base.model.dto.yszx.TbYsAjDto;
import com.mosty.base.model.query.yszx.TbYsAjNoPageQuery;
import com.mosty.base.model.query.yszx.TbYsAjQuery;
import com.mosty.base.model.vo.yszx.TbYsAjVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/7/21
 **/
public interface TbYsAjService {

    @ApiOperation("案件新增")
    void addAj(TbYsAjDto dto);

    @ApiOperation("案件修改")
    void updateAj(TbYsAjDto dto);

    @ApiOperation("分页获取案件列表")
    IPage<TbYsAjVo> getPageList(TbYsAjQuery dto);

    @ApiOperation("不分页获取案件列表")
    List<TbYsAjVo> getList(TbYsAjNoPageQuery dto);

    @ApiOperation("删除案件信息")
    void delAj(TbYsAjDelDto dto);

    @ApiOperation("获取案件数据--热力图")
    List<Map<String,Object>> getAjHotMap(TbYsAjNoPageQuery dto);

    @ApiOperation("获取案件详情")
    TbYsAjVo getInfo(String id, String ajfl);
}
